## base16384 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(base16384 VERSION 2.2.2)

add_executable(base16384_b base16384.c)

include(TestBigEndian)
test_big_endian(isBigEndian)
if (${isBigEndian})
    add_definitions(-DWORDS_BIGENDIAN)
endif()

IF(CMAKE_SIZEOF_VOID_P EQUAL 8)
    add_library(base16384 SHARED file.c base1464.c)
    add_library(base16384_s STATIC file.c base1464.c)
ELSE()
    add_library(base16384 SHARED file.c base1432.c)
    add_library(base16384_s STATIC file.c base1432.c)
ENDIF()

set_target_properties(base16384_b PROPERTIES OUTPUT_NAME base16384)
set_target_properties(base16384_s PROPERTIES OUTPUT_NAME base16384)
set_target_properties(base16384   PROPERTIES VERSION ${CMAKE_PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

target_link_libraries(base16384_b base16384_s)

INSTALL(TARGETS base16384_b RUNTIME DESTINATION bin)
INSTALL(TARGETS base16384   LIBRARY DESTINATION lib)
INSTALL(TARGETS base16384_s ARCHIVE DESTINATION lib)
INSTALL(FILES base16384.h DESTINATION include)
INSTALL(FILES base16384.1 DESTINATION share/man/man1)

=== debian/changelog ===
base16384 (2.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Wed, 14 Dec 2022 13:27:20 +0800

base16384 (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Thu, 08 Dec 2022 23:40:58 +0800

base16384 (2.2.0-1) unstable; urgency=medium

  * Initial Release. Closes: #1010055 (ITP).

 -- Fumiama Minamoto <fumiama@foxmail.com>  Sun, 16 Oct 2022 10:41:58 +0800

=== debian/control ===
Source: base16384
Section: utils
Priority: optional
Maintainer: Fumiama Minamoto <fumiama@foxmail.com>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/fumiama/base16384

Package: base16384
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Encode binary files to printable utf16be
 There are 16384 Chinese characters (from \u4E00 to \u8DFF)
 as the "alphabet", just like what base64 did.
 If the length of the data has a remainder after mod 7,
 a unicode Chinese character \u3Dxx will be appended to present it
 with xx ranging from 01 to 06.

Package: libbase16384-2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic library of base16384
 This package provides library files for base16384 algorithm,
 which has 16384 Chinese characters (from \u4E00 to \u8DFF)
 as the "alphabet", just like what base64 did.
 If the length of the data has a remainder after mod 7,
 a unicode Chinese character \u3Dxx will be appended to present it
 with xx ranging from 01 to 06.

Package: libbase16384-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libbase16384-2 (= ${binary:Version})
Description: Header and archive of base16384
 This package provides header and archive for base16384,
 which has 16384 Chinese characters (from \u4E00 to \u8DFF)
 as the "alphabet", just like what base64 did.
 If the length of the data has a remainder after mod 7,
 a unicode Chinese character \u3Dxx will be appended to present it
 with xx ranging from 01 to 06.

## base16384 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
-cmake_minimum_required(VERSION 3.0.0)
-project(base16384 VERSION 2.2.2)
+cmake_minimum_required(VERSION 2.8.12)
+if (POLICY CMP0048)
+  cmake_policy(SET CMP0048 NEW)
+endif (POLICY CMP0048)
+project(base16384 VERSION 2.2.3)
 
 add_executable(base16384_b base16384.c)
 
@@ -19,7 +22,7 @@
 
 set_target_properties(base16384_b PROPERTIES OUTPUT_NAME base16384)
 set_target_properties(base16384_s PROPERTIES OUTPUT_NAME base16384)
-set_target_properties(base16384   PROPERTIES VERSION ${CMAKE_PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
+set_target_properties(base16384   PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
 
 target_link_libraries(base16384_b base16384_s)

=== debian/changelog ===
base16384 (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Thu, 18 May 2023 15:51:27 +0800

## base16384 2.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 if (POLICY CMP0048)
   cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)
-project(base16384 VERSION 2.2.3)
+project(base16384 VERSION 2.2.5)
 
 add_executable(base16384_b base16384.c)

=== debian/changelog ===
base16384 (2.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Mon, 18 Dec 2023 21:57:38 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fumiama Minamoto <fumiama@foxmail.com>
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fumiama/base16384
 
 Package: base16384

## base16384 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if (POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
endif (POLICY CMP0048)
project(base16384 VERSION 2.3.1)

add_definitions(-DBASE16384_VERSION="${PROJECT_VERSION}")
add_definitions(-DBASE16384_VERSION_DATE="April 7th 2024")

message(STATUS "Testing endian...")
include(TestBigEndian)
test_big_endian(isBigEndian)
message(STATUS "Is big endian: ${isBigEndian}.")
if (${isBigEndian})
    add_definitions(-DWORDS_BIGENDIAN)
endif ()

if (BUILD STREQUAL "test")
    add_definitions(-DBASE16384_BUFSZ_FACTOR=1)
endif ()

add_executable(base16384_b base16384.c)

IF ((NOT FORCE_32BIT) AND CMAKE_SIZEOF_VOID_P EQUAL 8)
    message(STATUS "Adding 64bit libraries...")
    add_definitions(-DIS_64BIT_PROCESSOR)
    add_library(base16384   SHARED wrap.c file.c base1464.c)
    add_library(base16384_s STATIC wrap.c file.c base1464.c)
ELSE ()
    message(STATUS "Adding 32bit libraries...")
    add_library(base16384   SHARED wrap.c file.c base1432.c)
    add_library(base16384_s STATIC wrap.c file.c base1432.c)
ENDIF ()

set_target_properties(base16384_b PROPERTIES OUTPUT_NAME base16384)
set_target_properties(base16384_s PROPERTIES OUTPUT_NAME base16384)
set_target_properties(base16384   PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

message(STATUS "Linking libraries...")
target_link_libraries(base16384_b base16384_s)

if (BUILD STREQUAL "test")
    message(STATUS "Building test...")
    enable_testing()
    add_subdirectory(test)
endif ()

INSTALL(TARGETS base16384_b RUNTIME DESTINATION bin)
INSTALL(TARGETS base16384   LIBRARY DESTINATION lib)
INSTALL(TARGETS base16384_s ARCHIVE DESTINATION lib)
INSTALL(FILES base16384.h DESTINATION include)
INSTALL(FILES base16384.1 DESTINATION share/man/man1)

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if (POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
endif (POLICY CMP0048)
project(base16384_test VERSION 1.0.0)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

file (GLOB_RECURSE C_FILES "*.c")
foreach (C_FILE ${C_FILES})
    get_filename_component(FILE_NAME ${C_FILE} NAME_WE)
    message(STATUS "Add test ${FILE_NAME}")
    add_executable(${FILE_NAME} ${C_FILE})
    target_link_libraries(${FILE_NAME} base16384_s)
    add_test(NAME do_${FILE_NAME} COMMAND ${FILE_NAME})
endforeach ()

=== debian/changelog ===
base16384 (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Sun, 07 Apr 2024 21:44:44 +0800

base16384 (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Fri, 05 Apr 2024 16:41:22 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fumiama Minamoto <fumiama@foxmail.com>
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fumiama/base16384
 
 Package: base16384

## base16384 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 2.8.12...4.1.1)
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)
-project(base16384 VERSION 2.3.1)
+project(base16384 VERSION 2.3.2)
 
 add_definitions(-DBASE16384_VERSION="${PROJECT_VERSION}")
-add_definitions(-DBASE16384_VERSION_DATE="April 7th 2024")
+add_definitions(-DBASE16384_VERSION_DATE="Sep 4th 2025")
 
 message(STATUS "Testing endian...")
 include(TestBigEndian)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 2.8.12...4.1.1)
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)

=== debian/changelog ===
base16384 (2.3.2-1) unstable; urgency=medium

  * New upstream release:
  - Fix build failure for CMake 4. (Closes: #1112719)

 -- Fumiama Minamoto <fumiama@foxmail.com>  Thu, 04 Sep 2025 16:48:42 +0800

=== debian/watch ===
version=4
https://github.com/fumiama/base16384/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
